package com.bonus.material.purchase.mapper;

import java.util.List;
import com.bonus.material.purchase.domain.PurchaseMacodeInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 新购验收编号管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface PurchaseMacodeInfoMapper {
    /**
     * 查询新购验收编号管理
     * 
     * @param id 新购验收编号管理主键
     * @return 新购验收编号管理
     */
    public PurchaseMacodeInfo selectPurchaseMacodeInfoById(Long id);

    /**
     * 查询新购验收编号管理列表
     * 
     * @param purchaseMacodeInfo 新购验收编号管理
     * @return 新购验收编号管理集合
     */
    public List<PurchaseMacodeInfo> selectPurchaseMacodeInfoList(PurchaseMacodeInfo purchaseMacodeInfo);

    /**
     * 新增新购验收编号管理
     * 
     * @param purchaseMacodeInfo 新购验收编号管理
     * @return 结果
     */
    public int insertPurchaseMacodeInfo(PurchaseMacodeInfo purchaseMacodeInfo);

    /**
     * 修改新购验收编号管理
     * 
     * @param purchaseMacodeInfo 新购验收编号管理
     * @return 结果
     */
    public int updatePurchaseMacodeInfo(PurchaseMacodeInfo purchaseMacodeInfo);

    /**
     * 删除新购验收编号管理
     * 
     * @param id 新购验收编号管理主键
     * @return 结果
     */
    public int deletePurchaseMacodeInfoById(Long id);

    /**
     * 批量删除新购验收编号管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePurchaseMacodeInfoByIds(@Param("ids") List<Integer> ids);

    public int updatePurchaseMacodeInfoByIds(@Param("ids") List<Integer> ids);

    public int getPurchaseMaCodeCount(@Param("taskId") Long taskId, @Param("typeId") Long typeId);
}
